सामग्री पर जाएँ

Nano Banana 2

इंटीग्रेट करें

मॉडल id nano-banana-2
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/nano-banana-2?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "Hyper-realistic miniature luxury farmhouse construction site at the very first stage of construction, viewed through cinematic macro photography. A small rectangular foundation area partially prepared on natural brown sand and compact soil, realistic miniature construction materials scattered naturally around the site, tiny red bricks, miniature cement bags, wooden beams, gravel, sand piles, metal rods, tiny buckets, miniature trowel, measuring tape, spirit level and other authentic construction tools. Giant human fingers and realistic human hands carefully interacting with the miniature materials, positioning the first construction pieces. The future farmhouse footprint clearly visible but construction has only just begun, with no completed walls or roof. Subtle markings and foundation trenches visible in the soil. A small empty area beside the foundation reserved for a future swimming pool. Extremely realistic material scale, authentic construction imperfections, tiny dust particles, cement residue, fingerprints, rough brick texture and granular soil detail. Professional miniature craftsmanship, photorealistic 8K detail, cinematic studio lighting, realistic soft shadows, shallow depth of field, strong foreground-to-background scale contrast, sharp focus on construction area, premium macro lens photography, realistic bokeh, natural color reproduction, high dynamic range, tactile textures, physically accurate lighting, believable human-to-miniature scale, no cartoon appearance, no CGI look, no text, no watermark.",
    "resolution": "1K"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: $0.08 80 API क्रेडिट इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Google टेक्स्ट से इमेज 4K आउटपुट4K तक #typography#fast#wide-formats

Google का तेज़ Gemini इमेज मॉडल, त्वरित 0.5K ड्राफ़्ट से 4K तक, अत्यधिक आस्पेक्ट रेशियो और वेब ग्राउंडिंग के साथ।

उदाहरण

आउटपुट · ~19 s
Hyper-realistic miniature luxury farmhouse construction site at the very first stage of construction, viewed through ...

प्रॉम्प्टHyper-realistic miniature luxury farmhouse construction site at the very first stage of construction, viewed through cinematic macro photography. A small rectangular foundation area partially prepared on natural brown sand and compact soil, realistic miniature construction materials scattered naturally around the site, tiny red bricks, miniature cement bags, wooden beams, gravel, sand piles, metal rods, tiny buckets, miniature trowel, measuring tape, spirit level and other authentic construction tools. Giant human fingers and realistic human hands carefully interacting with the miniature materials, positioning the first construction pieces. The future farmhouse footprint clearly visible but construction has only just begun, with no completed walls or roof. Subtle markings and foundation trenches visible in the soil. A small empty area beside the foundation reserved for a future swimming pool. Extremely realistic material scale, authentic construction imperfections, tiny dust particles, cement residue, fingerprints, rough brick texture and granular soil detail. Professional miniature craftsmanship, photorealistic 8K detail, cinematic studio lighting, realistic soft shadows, shallow depth of field, strong foreground-to-background scale contrast, sharp focus on construction area, premium macro lens photography, realistic bokeh, natural color reproduction, high dynamic range, tactile textures, physically accurate lighting, believable human-to-miniature scale, no cartoon appearance, no CGI look, no text, no watermark.

1K$0.08 · 80 API क्रेडिट

X पर @Strength04_X का प्रॉम्प्ट

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक 1538 / 50000

इमेज बनाने के लिए उपयोग किए जाने वाले टेक्स्ट निर्देश।

resolution

आउटपुट इमेज का रिज़ॉल्यूशन।

thinking_level

उस स्तर पर मॉडल की सोच सक्रिय करने और उसके विचारों को निर्माण में शामिल करने के लिए 'minimal' या 'high' चुनें; स्तर सेट न करने पर सोचने की सुविधा बंद रहती है।

डिफ़ॉल्ट auto

निर्मित इमेज का आस्पेक्ट रेशियो स्पष्ट रूप से चुनें, जिसमें चरम विकल्प 4:1, 1:4, 8:1, 1:8 शामिल हैं, या मॉडल द्वारा प्रॉम्प्ट-आधारित चयन के लिए "auto" चुनें।

num_images डिफ़ॉल्ट 1

निर्माण के लिए अनुरोधित इमेज की संख्या।

उन्नत system_prompt · output_format · safety_tolerance · seed · limit_generations
0 / 50000

वैकल्पिक, पूरे अनुरोध पर लागू होने वाला व्यक्तित्व और आउटपुट-शैली संबंधी मार्गदर्शन, जिसे Gemini को सिस्टम निर्देश के रूप में या OpenAI-संगत प्रदाताओं को सिस्टम संदेश के रूप में भेजा जाता है। मान खाली होने पर इस निर्देश के लिए कुछ भी नहीं भेजा जाता।

output_format डिफ़ॉल्ट png

परिणामी इमेज का फ़ाइल फ़ॉर्मैट।

safety_tolerance डिफ़ॉल्ट 4

कंटेंट मॉडरेशन सहनशीलता को सबसे कम प्रतिबंधात्मक स्तर 6 और सबसे कड़े स्तर 1 के बीच सेट करें; स्तर 1 अधिकांश कंटेंट को ब्लॉक करता है।

रैंडम-नंबर निर्माण शुरू करने वाला सीड मान।

POST /run/nano-banana-2?wait=20 कोटेशन → $0.08
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/nano-banana-2?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "Hyper-realistic miniature luxury farmhouse construction site at the very first stage of construction, viewed through cinematic macro photography. A small rectangular foundation area partially prepared on natural brown sand and compact soil, realistic miniature construction materials scattered naturally around the site, tiny red bricks, miniature cement bags, wooden beams, gravel, sand piles, metal rods, tiny buckets, miniature trowel, measuring tape, spirit level and other authentic construction tools. Giant human fingers and realistic human hands carefully interacting with the miniature materials, positioning the first construction pieces. The future farmhouse footprint clearly visible but construction has only just begun, with no completed walls or roof. Subtle markings and foundation trenches visible in the soil. A small empty area beside the foundation reserved for a future swimming pool. Extremely realistic material scale, authentic construction imperfections, tiny dust particles, cement residue, fingerprints, rough brick texture and granular soil detail. Professional miniature craftsmanship, photorealistic 8K detail, cinematic studio lighting, realistic soft shadows, shallow depth of field, strong foreground-to-background scale contrast, sharp focus on construction area, premium macro lens photography, realistic bokeh, natural color reproduction, high dynamic range, tactile textures, physically accurate lighting, believable human-to-miniature scale, no cartoon appearance, no CGI look, no text, no watermark.",
    "resolution": "1K"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Nano Banana 2 के बारे में

Nano Banana Pro का अधिक तेज़ और सस्ता सहोदर मॉडल, जो छवियों में टेक्स्ट और बहु-ऑब्जेक्ट दृश्यों को भी अच्छी तरह संभालता है। आउटपुट 0.5K प्रीव्यू से 4K तक होता है, और आस्पेक्ट रेशियो बैनर तथा वर्टिकल स्टोरीज़ के लिए 1:8 से 8:1 तक होते हैं। वैकल्पिक वेब खोज चित्र को वर्तमान तथ्यों पर आधारित करती है, और वैकल्पिक उच्च थिंकिंग स्तर जटिल लेआउट बनाने से पहले उनकी योजना बनाता है। प्रति अनुरोध अधिकतम चार छवियाँ।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
promptआवश्यक
प्रकारstring
≤ 50,000 अक्षर≥ 3 अक्षर
इमेज बनाने के लिए उपयोग किए जाने वाले टेक्स्ट निर्देश।
num_imagesवैकल्पिक num_outputs
प्रकारinteger
डिफ़ॉल्ट1
1 – 4
निर्माण के लिए अनुरोधित इमेज की संख्या।
seedवैकल्पिक
प्रकारinteger | null
रैंडम-नंबर निर्माण शुरू करने वाला सीड मान।
aspect_ratioवैकल्पिक
प्रकारenum
डिफ़ॉल्टauto
auto21:916:93:24:35:41:14:53:42:39:164:11:48:11:8
निर्मित इमेज का आस्पेक्ट रेशियो स्पष्ट रूप से चुनें, जिसमें चरम विकल्प 4:1, 1:4, 8:1, 1:8 शामिल हैं, या मॉडल द्वारा प्रॉम्प्ट-आधारित चयन के लिए "auto" चुनें।
output_formatवैकल्पिक
प्रकारenum
डिफ़ॉल्टpng
jpegpngwebp
परिणामी इमेज का फ़ाइल फ़ॉर्मैट।
safety_toleranceवैकल्पिक
प्रकारenum
डिफ़ॉल्ट4
123456
कंटेंट मॉडरेशन सहनशीलता को सबसे कम प्रतिबंधात्मक स्तर 6 और सबसे कड़े स्तर 1 के बीच सेट करें; स्तर 1 अधिकांश कंटेंट को ब्लॉक करता है।
system_promptवैकल्पिक
प्रकारstring
डिफ़ॉल्ट
≤ 50,000 अक्षर
वैकल्पिक, पूरे अनुरोध पर लागू होने वाला व्यक्तित्व और आउटपुट-शैली संबंधी मार्गदर्शन, जिसे Gemini को सिस्टम निर्देश के रूप में या OpenAI-संगत प्रदाताओं को सिस्टम संदेश के रूप में भेजा जाता है। मान खाली होने पर इस निर्देश के लिए कुछ भी नहीं भेजा जाता।
resolutionवैकल्पिक
प्रकारenum
डिफ़ॉल्ट1K
0.5K1K2K4K
आउटपुट इमेज का रिज़ॉल्यूशन।
limit_generationsवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
प्रायोगिक निर्माण सीमा, सक्षम होने पर गुणवत्ता को प्रभावित कर सकती है। `True` के साथ, प्रत्येक प्रॉम्प्टिंग राउंड 1 निर्माण तक सीमित रहता है, प्रॉम्प्ट में दिए गए इमेज-गणना निर्देशों को ओवरराइड करता है और मॉडल द्वारा निर्मित मध्यवर्ती इमेज को अनदेखा करता है।
thinking_levelवैकल्पिक
प्रकारenum
minimalhigh
उस स्तर पर मॉडल की सोच सक्रिय करने और उसके विचारों को निर्माण में शामिल करने के लिए 'minimal' या 'high' चुनें; स्तर सेट न करने पर सोचने की सुविधा बंद रहती है।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "nano-banana-2",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 80,
    "usd": "0.08",
    "charged": 80,
    "refunded": 0
  },
  "input": {
    "prompt": "A cozy bookshop window at night with a hand-painted sign reading \"Open Late\", warm light, rain on the glass",
    "aspect_ratio": "4:5",
    "resolution": "1K"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "description": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
images
array of object {url, content_type, file_name, file_size, width, height}मॉडल द्वारा बनाई गई इमेज।
description
stringनिर्मित इमेज के साथ दिया गया विवरण।

और मॉडल: टेक्स्ट से इमेज

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/nano-banana-2.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt